import FreeCADGui as Gui
import FreeCAD as App

class AHB_Reload:
    def GetResources(self):
        return {"MenuText": "[dev] Reload workbench",
                "ToolTip": "Reload the workbench without restarting FreeCAD (development tool)",
                "Pixmap": ""
                }

    def IsActive(self):
        return True

    def Activated(self):
        print("Reloading AssemblyHandbookWorkbench")
        workbench = Gui.getWorkbench("AssemblyHandbookWorkbench")
        workbench.reload()

from ahb_command import AHB_CommandWrapper
AHB_CommandWrapper.addGuiCommand('AHB_reload', AHB_Reload())
